@protobuf-ts/runtime-rpc
===============================

Runtime library for RPC clients generated by the [protobuf-ts](https://github.com/timostamm/protobuf-ts/README.md) plugin. 

If you generate RPC code with the protobuf-ts plugin, you need this 
package as a dependency.


Provides the following features: 
- transport layer contracts
- error and status types
- contracts for reflection information for services and their methods
- contracts for interceptors
- options (for the transport layer and individual calls) 



If your .proto contains a `service` declaration, the protobuf-ts plugin 
generates a client for this service. 

This client is not hard-wired to a specific wire format. It delegates 
to a transport layer that can implement gRPC, gRPC-web, twirp or any 
custom protocol. 

This library provides generic types for unary and server streaming calls. 
Client streaming calls and duplex streaming calls are partially implemented, 
but subject to change.

The library provides contracts for:
- transport layer
- errors and status
- reflection information for services and their methods
- interceptors
- options (for transport layer and call level) 

